#ifndef MOLECULEORDERDESCRIPTOR_IMPL_HPP
#define MOLECULEORDERDESCRIPTOR_IMPL_HPP

#include "Descriptors/MoleculeDescriptor_impl.hpp"

class MoleculeOrderDescriptor_impl : public MoleculeDescriptor_impl
{
public:
  MoleculeOrderDescriptor_impl(int _id);
  virtual ~MoleculeOrderDescriptor_impl();

  bool predicate(std::pair<moleculeId_t,molecule*> _molecule);

protected:
  virtual molecule *find();
  virtual std::vector<molecule*> findAll();
private:
  int id;
};

#endif //MOLECULEORDERDESCRIPTOR_IMPL_HPP
