/*
 * XyzParser.hpp
 *
 *  Created on: Mar 2, 2010
 *      Author: metzler
 */

#ifndef XYZPARSER_HPP_
#define XYZPARSER_HPP_

#include <string>
#include "Parser/FormatParser.hpp"

/**
 * Parser for XYZ files.
 */
class XyzParser : public FormatParser {
public:
  XyzParser();
  ~XyzParser();
  void load(std::istream* file);
  void save(std::ostream* file, const std::vector<atom *> &atoms);

private:
  std::string comment;
};

#endif /* XYZPARSER_HPP_ */
