/*
 * AnalysisBondsUnitTest.hpp
 *
 *  Created on: Nov 7, 2009
 *      Author: heber
 */

#ifndef ANALYSISBONDSUNITTEST_HPP_
#define ANALYSISBONDSUNITTEST_HPP_

#include <cppunit/extensions/HelperMacros.h>

class BondGraph;
class element;
class molecule;
class periodentafel;

/********************************************** Test classes **************************************/

class AnalysisBondsTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( AnalysisBondsTest) ;
    CPPUNIT_TEST ( GetMaxMinMeanBondCountTest );
    CPPUNIT_TEST ( MinMeanMaxBondDistanceBetweenElementsTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void GetMaxMinMeanBondCountTest();
      void MinMeanMaxBondDistanceBetweenElementsTest();

private:

      molecule *TestMolecule;
      const element *hydrogen;
      const element *carbon;

      BondGraph *BG;
      string *filename;
};

#endif /* ANALYSISBONDSUNITTEST_HPP_ */
