/*
 * PeriodentafelUnitTest.hpp
 *
 *  Created on: May 18, 2010
 *      Author: heber
 */

#ifndef PERIODENTAFELUNITTEST_HPP_
#define PERIODENTAFELUNITTEST_HPP_

#include <cppunit/extensions/HelperMacros.h>

class element;
class periodentafel;

/********************************************** Test classes **************************************/

class periodentafelTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( periodentafelTest) ;
    CPPUNIT_TEST ( AddRemoveTest );
    CPPUNIT_TEST ( LoadStoreTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void AddRemoveTest();
      void LoadStoreTest();

private:

      const element *hydrogen;
      const element *carbon;
      periodentafel *tafel;

};

#endif /* PERIODENTAFELUNITTEST_HPP_ */
