/*
 * TesselationUnitTest.hpp
 *
 *  Created on: Aug 26, 2009
 *      Author: heber
 */

#ifndef TESSELATIONUNITTEST_HPP_
#define TESSELATIONUNITTEST_HPP_

/*********************************************** includes ***********************************/

#include <cppunit/extensions/HelperMacros.h>

#include "linkedcell.hpp"
#include "tesselation.hpp"

/********************************************** Test classes **************************************/

class TesselationTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( TesselationTest) ;
    CPPUNIT_TEST ( GetAllTrianglesTest );
    CPPUNIT_TEST ( ContainmentTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void GetAllTrianglesTest();
      void ContainmentTest();


private:
      static const double SPHERERADIUS;

      class Tesselation *TesselStruct;
      LinkedCell::LinkedNodes Corners;
      class LinkedCell *LinkedList;
};



#endif /* TESSELATIONUNITTEST_HPP_ */
