/*
 * Tesselation_InsideOutsideUnitTest.hpp
 *
 *  Created on: Dec 28, 2009
 *      Author: heber
 */

#ifndef TESSELATION_INSIDEOUTSIDEUNITTEST_HPP_
#define TESSELATION_INSIDEOUTSIDEUNITTEST_HPP_

/*********************************************** includes ***********************************/

#include <cppunit/extensions/HelperMacros.h>

#include "linkedcell.hpp"
#include "tesselation.hpp"

/********************************************** Test classes **************************************/

class TesselationInOutsideTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( TesselationInOutsideTest) ;
    CPPUNIT_TEST ( IsInnerPointTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void IsInnerPointTest();

private:
      static const double SPHERERADIUS;

      class Tesselation *TesselStruct;
      LinkedCell::LinkedNodes Corners;
      class LinkedCell *LinkedList;
};


#endif /* TESSELATION_INSIDEOUTSIDEUNITTEST_HPP_ */
